/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2004                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_ZIPCentralDirEndRecord
#define STAF_ZIPCentralDirEndRecord


class STAFZipCentralDirEndRecord
{
public:

    // attributes

    uLong signature;

    short numberDisk;

    short numberDiskWithCentralDir;

    unsigned short numberEntry;

    unsigned short numberEntryWithCentralDir;

    uLong centralDirSize;

    uLong centralDirOffset;

    short commentLength;

    char *comment;



    // methods
    STAFZipCentralDirEndRecord();

    ~STAFZipCentralDirEndRecord();
};

#endif
