/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/


#ifndef STAF_MonitorService
#define STAF_MonitorService

#ifdef __cplusplus
extern "C"
{
#endif
   
typedef enum STAFMonitorRC_e {     
    kSTAFMonitorInvalidDirectory = 4005,
    kSTAFMonitorCreateDirectoryError = 4006,
    kSTAFMonitorInvalidFileFormat = 4007
} STAFMonitor_t;

#ifdef __cplusplus
}
#endif

#endif
