
/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_ResPoolService
#define STAF_ResPoolService

#ifdef __cplusplus
extern "C"
{
#endif
   
typedef enum STAFResPoolRC_e {     
    kSTAFResPoolPoolAlreadyExists = 4001,
    kSTAFResPoolPoolDoesNotExist = 4002,
    kSTAFResPoolEntryDoesNotExist = 4003,
    kSTAFResPoolEntryAlreadyExists = 4004,
    kSTAFResPoolNotEntryOwner = 4005,
    kSTAFResPoolHasPendingRequests = 4006,
    kSTAFResPoolNoEntriesAvailable = 4007,
    kSTAFResPoolCreatePoolPathError = 4008,
    kSTAFResPoolInvalidFileFormat = 4009,
    kSTAFResPoolEntryIsOwned = 4010
} STAFResPool_t;

#ifdef __cplusplus
}
#endif

#endif
