/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_ConnectionManager
#define STAF_ConnectionManager

#include "STAF.h"
#include "STAFString.h"
#include "STAFConnection.h"

class STAFConnectionManager
{
public:

    STAFConnectionManager();

    STAFRC_t makeConnection(const STAFString &where,
                                 STAFConnPtr &connection,
                                 STAFString &errorBuffer);

    ~STAFConnectionManager();
};

#endif
